searchData={"items":[{"type":"module","doc":"A production-ready Code 39 barcode generator without external dependencies.\n\nCode 39 can encode numbers, uppercase letters, and some special characters.\nEach barcode is automatically wrapped with start/stop characters (*).","title":"Barcoder","ref":"Barcoder.html"},{"type":"function","doc":"Generates a Code 39 barcode for the given input string.","title":"Barcoder.generate/2","ref":"Barcoder.html#generate/2"},{"type":"function","doc":"- `input`: String to encode (numbers, uppercase letters, and some special characters)\n- `options`: Keyword list of options\n  - `:format` - Output format (`:ascii` or `:svg`, default: `:ascii`)\n  - `:width` - Bar width multiplier for SVG (default: 2)\n  - `:height` - Bar height for SVG (default: 100)\n  - `:quiet_zone` - Width of quiet zones (default: 10)","title":"Parameters - Barcoder.generate/2","ref":"Barcoder.html#generate/2-parameters"},{"type":"function","doc":"iex> Barcoder.generate(\"HELLO\")\n    {:ok, ascii_barcode_string}\n\n    iex> Barcoder.generate(\"HELLO\", format: :svg)\n    {:ok, svg_string}\n\n    iex> Barcoder.generate(\"hello\")\n    {:error, \"Invalid character: 'h'. Only uppercase letters, numbers, and specific special characters are allowed.\"}","title":"Examples - Barcoder.generate/2","ref":"Barcoder.html#generate/2-examples"},{"type":"function","doc":"Generates a Code 39 barcode, raising an exception on error.","title":"Barcoder.generate!/2","ref":"Barcoder.html#generate!/2"},{"type":"function","doc":"iex> Barcoder.generate!(\"HELLO\")\n    ascii_barcode_string","title":"Examples - Barcoder.generate!/2","ref":"Barcoder.html#generate!/2-examples"},{"type":"function","doc":"Returns the list of valid characters that can be encoded.","title":"Barcoder.valid_characters/0","ref":"Barcoder.html#valid_characters/0"},{"type":"function","doc":"Validates if the input string contains only supported characters.","title":"Barcoder.validate_input/1","ref":"Barcoder.html#validate_input/1"},{"type":"function","doc":"iex> Barcoder.validate_input(\"HELLO123\")\n    :ok\n\n    iex> Barcoder.validate_input(\"hello\")\n    {:error, \"Invalid character: 'h'. Only uppercase letters, numbers, and specific special characters are allowed.\"}","title":"Examples - Barcoder.validate_input/1","ref":"Barcoder.html#validate_input/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}